<?xml version="1.0" encoding="utf-8"?>
<resources>
    <declare-styleable name="NineGridView">
        <attr name="ngv_singleImageSize" format="dimension"/>
        <attr name="ngv_singleImageRatio" format="float"/>
        <attr name="ngv_gridSpacing" format="dimension"/>
        <attr name="ngv_maxSize" format="integer"/>
        <attr name="ngv_mode" format="enum">
            <enum name="fill" value="0"/>
            <enum name="grid" value="1"/>
        </attr>
    </declare-styleable>

    <declare-styleable name="FlowLayout">
        <attr name="android:orientation" />
        <attr name="layoutDirection" format="enum">
            <enum name="ltr" value="0" />
            <enum name="rtl" value="1" />
        </attr>
        <attr name="debugDraw" format="boolean" />
        <attr name="weightDefault" format="float" />
        <attr name="android:gravity" />
    </declare-styleable>

    <declare-styleable name="FlowLayout_LayoutParams">
        <attr name="layout_newLine" format="boolean" />
        <attr name="layout_weight" format="float" />
        <attr name="android:layout_gravity" />
    </declare-styleable>

    <!--ForceClickImageView-->
    <declare-styleable name="ForceClickImageView">
        <attr name="foregroundColor" format="reference|color" />
    </declare-styleable>


    <declare-styleable name="NineGridLayout">
        <attr name="spacing" format="dimension" />
        <attr name="horizontal_spacing" format="dimension" />
        <attr name="vertical_spacing" format="dimension" />
        <attr name="single_mode" format="boolean" />
        <attr name="four_gird_mode" format="boolean" />
        <attr name="single_mode_width" format="dimension" />
        <attr name="single_mode_height" format="dimension" />
        <attr name="single_mode_overflow_scale" format="boolean" />
    </declare-styleable>

</resources>